DERMacData.Type (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.util

## Enum DERMacData.Type

- java.lang.Object
- - java.lang.Enum<DERMacData.Type>
  - - org.bouncycastle.crypto.util.DERMacData.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DERMacData.Type>
  Enclosing class:
    DERMacData

      public static enum DERMacData.Type
      extends java.lang.Enum<DERMacData.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BILATERALU`
    `BILATERALV`
    `UNILATERALU`
    `UNILATERALV`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getHeader()`
    `static DERMacData.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DERMacData.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNILATERALU

          public static final DERMacData.Type UNILATERALU

    - #### UNILATERALV

          public static final DERMacData.Type UNILATERALV

    - #### BILATERALU

          public static final DERMacData.Type BILATERALU

    - #### BILATERALV

          public static final DERMacData.Type BILATERALV

  - ### Method Detail

    - #### values

          public static DERMacData.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DERMacData.Type c : DERMacData.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DERMacData.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getHeader

          public byte[] getHeader()